Diese Website existiert nur weil wir Werbung mit AdSense ausliefern.
Bitte den AdBlocker daher auf dieser Website ausschalten! Danke.

zypper zwingen ein Paket zu deinstallieren?

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
K4m1K4tz3
Advanced Hacker
Advanced Hacker
Beiträge: 987
Registriert: 19. Jan 2005, 13:54
Kontaktdaten:

zypper zwingen ein Paket zu deinstallieren?

Beitrag von K4m1K4tz3 »

Hallo,

gibt es eine Option, um zypper zu zwingen ein bestimmtes Paket zu deinstallieren, ohne dass er auf die Abhängigkeiten schaut?
Mein System: SUSE 11.4, x86_64, KDE 4.6

Mein Jabber: masterunderlined@jabber.ccc.de
admine
Administrator
Administrator
Beiträge: 8947
Registriert: 15. Feb 2004, 21:13

Re: zypper zwingen ein Paket zu deinstallieren?

Beitrag von admine »

Hast du schon in "man zypper" geschaut ;)
Grüße
-------------------------
..:: Deutsche Mugge ::..
-------------------------
K4m1K4tz3
Advanced Hacker
Advanced Hacker
Beiträge: 987
Registriert: 19. Jan 2005, 13:54
Kontaktdaten:

Re: zypper zwingen ein Paket zu deinstallieren?

Beitrag von K4m1K4tz3 »

Nicht direkt. Ich habe es mit zypper --help versucht. Jedoch bringt mich beides nicht weiter.

Wenn ich

Code: Alles auswählen

zypper rm -R
eingebe, dann fragt er mich ob ich bestimmte Pakete deinstallieren möchte oder ob ich folgendes möchte:

Code: Alles auswählen

fragen Sie nicht nach der Löschung aller auflösbaren Objekte, welche libqt4-sql-mysql anbieten
Ich möchte aber nichts zusätzliches deinstallieren und wenn ich die zweite Option auswähle (deren Sinn ich sowieso nicht verstehe), dann passiert garnichts.


Um genau zu sein: Ich möchte gerne das Paket libqt4-sql-mysql deinstallieren. Ich bastel an KDE 4 rum und da versaut mir das Paket einige Abhängigkeiten. Löschen kann ich es aber auch nicht, da sagt mir zypper/yast folgendes:

Code: Alles auswählen

nichts bietet libqt4-sql = 4.4.1 benötigt von libqt4-sql-mysql-4.4.1-27.1.i586
Dabei möchte ich doch gerade libqt4-sql-mysql deinstallieren ... Zudem habe ich ein 64 Bit System. Warum er da gerade mit i586 kommt ist mir ein Rätsel.
Mein System: SUSE 11.4, x86_64, KDE 4.6

Mein Jabber: masterunderlined@jabber.ccc.de
K4m1K4tz3
Advanced Hacker
Advanced Hacker
Beiträge: 987
Registriert: 19. Jan 2005, 13:54
Kontaktdaten:

Re: zypper zwingen ein Paket zu deinstallieren?

Beitrag von K4m1K4tz3 »

Ok letztendlich konnte ich es über rpm -e --nodeps deinstallieren.
Mein System: SUSE 11.4, x86_64, KDE 4.6

Mein Jabber: masterunderlined@jabber.ccc.de
Antworten